Public Member Functions | List of all members
clan::Sizef Class Reference
clanCore Math

2D (width,height) size structure - Float More...

`#include <size.h>`

Inheritance diagram for clan::Sizef:

## Public Member Functions
| Sizef ()
| Sizef (float width, float height)
| Sizef (const Sizex< float > &s)
| Sizef (const Vec2< float > &s)
| Sizef (const Sizex< int > &copy)
| Sizef (const Sizex< double > &copy)
Public Member Functions inherited from clan::Sizex< float >
| Sizex ()
| Constructs a size structure. More...
| Sizex (floatwidth, floatheight)
| Constructs a size structure. More...
| Sizex (const Sizex< float > &s)
| Constructs a size structure. More...
| operator Vec2< float > () const
Sizex< float > & | operator+= (const Sizex< float > &s)
| Size += Size operator. More...
Sizex< float > & | operator+= (const float &s)
| Size += operator. More...
Sizex< float > & | operator-= (const Sizex< float > &s)
| Size -= Size operator. More...
Sizex< float > & | operator-= (const float &s)
| Size -= operator. More...
Sizex< float > | operator+ (const Sizex< float > &s) const
| Size + Size operator. More...
Sizex< float > | operator+ (const float &s) const
| Size + operator. More...
Sizex< float > | operator- (const Sizex< float > &s) const
| Size - Size operator. More...
Sizex< float > | operator- (const float &s) const
| Size - operator. More...
Sizex< float > & | operator*= (const float &s)
| Size *= operator. More...
Sizex< float > & | operator/= (const float &s)
| Size /= operator. More...
Sizex< float > | operator* (const float &s) const
| Size * operator. More...
Sizex< float > | operator/ (const float &s) const
| Size / operator. More...
bool | operator== (const Sizex< float > &s) const
| Size == Size operator (deep compare). More...
bool | operator!= (const Sizex< float > &s) const
| Size != Size operator (deep compare). More...

## Additional Inherited Members
Public Attributes inherited from clan::Sizex< float >
float | width
| Size width. More...
float | height
| Size height. More...

## Detailed Description

2D (width,height) size structure - Float

The documentation for this class was generated from the following file:

- size.h